Subject: bug#837: debootstrap: Requires explicit --merged-usr for excalibur/ceres

From: Olaf Meeuwissen <[email-masked]>
Date: Sat, 02 Mar 2024 15:40:37 +0900

Package: debootstrap
Version: 1.0.128+nmu2devuan2
Severity: normal

Dear Maintainer,

My official Devuan Docker image builds started failing and looking
into the issue[1], I noticed that an explicit --merged-usr option is
needed.  Considering that Devuan has decided[2] to go with UsrMerge as
of excalibur, I think that that is no longer the desired behaviour when
building excalibur or ceres.  For these and later versions --merged-usr
should be the default.

 [1]: https://git.devuan.org/paddy-hack/container-images/issues/55
 [2]: https://devuan.org/os/announce/excalibur-usrmerge-announce-2024-02-20.html

I took a peek at the changes for Debian's debootstrap (which is at
1.0.134, btw!) and noticed that there have been a few merged-usr
related changes since 1.0.128+nmu2.

-- System Information:
Architecture: x86_64

Kernel: Linux 6.6.15-amd64 (SMP w/16 CPU threads; PREEMPT)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages debootstrap depends on:
pn  wget  <none>

Versions of packages debootstrap recommends:
pn  arch-test               <none>
ii  debian-archive-keyring  2023.4
ii  devuan-keyring          2023.10.07
ii  gnupg                   2.2.40-1.1
ii  mount                   2.39.3-6devuan1

Versions of packages debootstrap suggests:
ii  binutils                2.42-3
ii  debian-archive-keyring  2023.4
pn  squid-deb-proxy-client  <none>
pn  ubuntu-archive-keyring  <none>
ii  xz-utils                5.4.5-0.3
ii  zstd                    1.5.5+dfsg2-2

-- 
Olaf Meeuwissen